DeluxHostAPI Reference
Sessions & login history

Get login history

GET
/v1/account/profile/logins

Authorization

apiToken account:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:read

Query Parameters

limit?number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
logins*array<>
curl -X GET 'https://api.deluxhost.net/v1/account/profile/logins' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "logins": [    {      "at": "2019-08-24T14:15:22Z",      "ipAddress": null,      "userAgent": null    }  ]}